Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIAttachQueue.Properties

    java.lang.Object
      java.lang.Enum<UIAttachQueue.Properties>
          org.richfaces.component.UIAttachQueue.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIAttachQueue.Properties>

Enclosing class:
  UIAttachQueue

    protected static enum UIAttachQueue.Properties

extends Enum<UIAttachQueue.Properties>

Enum Constant Summary
`ignoreDupResponses`
`name`
`onrequestdequeue`
`onrequestqueue`
`requestDelay`
`requestGroupingId`

Method Summary
`static UIAttachQueue.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIAttachQueue.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ignoreDupResponses

    public static final UIAttachQueue.Properties ignoreDupResponses

### name

    public static final UIAttachQueue.Properties name

### onrequestdequeue

    public static final UIAttachQueue.Properties onrequestdequeue

### onrequestqueue

    public static final UIAttachQueue.Properties onrequestqueue

### requestDelay

    public static final UIAttachQueue.Properties requestDelay

### requestGroupingId

    public static final UIAttachQueue.Properties requestGroupingId

Method Detail

### values

    public static UIAttachQueue.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIAttachQueue.Properties c : UIAttachQueue.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIAttachQueue.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.